
QGIS Application - Bug report #3722

sip error compiling on armv7l

2011-04-12 02:01 PM - Alessandro Pasotti

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 13781

Description

Hi, while compiling latest trunk on ubuntu maverick armv7l I get:

[ 61%] Built target compile_python_files

[ 62%] Generating analysis/sipanalysispart0.cpp, analysis/sipanalysispart1.cpp, analysis/sipanalysispart2.cpp,

analysis/sipanalysispart3.cpp

sip: [[QgsSymbolLayerV]]2Utils::encodeRealVector() unsupported function argument type - provide %MethodCode and a valid C++

signature

maker2: * [python/analysis/sipanalysispart0.cpp] Errore 1

maker1:  [python/CMakeFiles/python_module_qgis_analysis.dir/all] Errore 2

make: ** [all] Errore 2

I had to patch some part of the code on new wymbology to get rid of some float/double conversions but I don't think they can be related to

this error.

History

#1 - 2011-08-23 01:55 AM - Borys Jurgiel

- Pull Request or Patch supplied set to No

- Assignee changed from Borys Jurgiel to Martin Dobias

is it still valid?

#2 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-01-31 02:57 AM - Martin Dobias

- Crashes QGIS or corrupts data set to No

- Status changed from Open to Closed

- Affected QGIS version set to master

- Resolution set to worksforme

Closing for the lack of feedback. If there are still problems with compilation on arm, please try to provide a patch.
